Update auf 4.0 nicht möglich

german

#1

Hallo zusammen,

bei einigen Installationen, allesamt ehemalige per Migrationsskript migrierte OXASE, kann ein Update auf 4.0 nicht erfolgen.

[code]13.12.14 11:19:25.604 DEBUG_INIT
**** Starting univention-updater with parameter=[’/usr/share/univention-updater/univention-updater’, ‘net’, ‘–updateto’, ‘4.0-0’, ‘–ignoressh’, ‘–ignoreterm’]
Version=3.2
Patchlevel=4
starting net mode
—>DBG:update_available(mode=net, cdrom_mount_point=/cdrom, iso=None)
Checking network repository
Update to = 4.0-0
**** Downloading scripts at Sat Dec 13 11:19:53 2014
**** Starting actual update at Sat Dec 13 11:20:24 2014
Running preup.sh script
Sat Dec 13 11:20:24 CET 2014

HINT:
Please check the release notes carefully BEFORE updating to UCS 4.0-0:
English version: http://docs.univention.de/release-notes-4.0-0-en.html
German version: http://docs.univention.de/release-notes-4.0-0-de.html

Please also consider documents of following release updates and
3rd party components.

Do you want to continue [Y/n]?
Custom preupdate script /var/lib/local-preup.sh not found
Checking for space on /var/cache/apt/archives: OK
Checking for space on /boot: OK
Checking for space on /: OK
Checking for package status: OK
Checking LDAP schema: 548c12ff OVER: Loading Translog Overlay
548c12ff OVER: db_init
548c12ff OVER: Configuring Translog Overlay
548c12ff OVER: Configured Translog Overlay to use file “/var/lib/univention-ldap/listener/listener”
548c1301 OVER: db_close
548c1301 OVER: db_destroy
OK
Create update/ucs40/installedapps
Module: ox-config
Setting update/ucs40/installedapps
Module: ox-config
Setting update/ucs40/installedapps
Module: ox-config
Setting update/ucs40/installedapps
Module: ox-config
Setting update/ucs40/installedapps
Module: ox-config
Setting update/ucs40/installedapps
Module: ox-config
No packages found matching ipchains.
No packages found matching kernel-image-2.4.26.
No packages found matching lesstif1.
No packages found matching libcomerr1-kerberos4kth.
No packages found matching libcurl2.
No packages found matching libdb1-compat.
No packages found matching libdb4.0.
No packages found matching libdb4.1.
No packages found matching libdb4.2++.
No packages found matching libdns8.
No packages found matching libgcrypt1.
No packages found matching libgd1-xpm.
No packages found matching libgimp1.2.
No packages found matching libgnutls11.
No packages found matching libgnutls5.
No packages found matching libgnutls7.
No packages found matching libgtkxmhtml1.
No packages found matching libidn9.
No packages found matching libisc4.
No packages found matching libisccfg0.
No packages found matching libkdb-1-kerberos4kth.
No packages found matching libkeynote0.
No packages found matching libkrb-1-kerberos4kth.
No packages found matching libmm13.
No packages found matching libmpeg1.
No packages found matching libmysqlclient10.
No packages found matching libpng10-0.
No packages found matching libsensors1.
No packages found matching libsoup2.0-0.
No packages found matching libtasn1-0.
No packages found matching libtiff3g.
No packages found matching libxaw6.
No packages found matching libxft1.
No packages found matching lynx-ssl.
No packages found matching symlinks.
No packages found matching t1lib1.
ii libkrb53 1.8.3+dfsg-4.50.201307240904 transitional package for MIT Kerberos libraries
ERROR: The package “libkrb53” is no longer supported in UCS.
The following packages have to be removed before the update!

fileutils ipchains kernel-image-2.4.26 lesstif1 libcomerr1-kerberos4kth
libcurl2 libdb1-compat libdb2 libdb4.0 libdb4.1 libdb4.2++ libdns8
libgcrypt1 libgd1-xpm libgimp1.2 libgnutls11 libgnutls5 libgnutls7
libgtkxmhtml1 libidn9 libisc4 libisccfg0 libkdb-1-kerberos4kth libkeynote0
libkrb-1-kerberos4kth libmm13 libmpeg1 libmysqlclient10 libopencdk4
libpng10-0 libreadline4 libsensors1 libsoup2.0-0 libtasn1-0 libtiff3g
libxaw6 libxft1 lynx-ssl symlinks t1lib1 libkrb53 apache-common
univention-windows-installer-image-linux univention-windows-installer
univention-windows-installer-image bootsplash-theme-debian
bootsplash courier-base courier-ssl courier-mta courier-ldap
courier-imap-ssl courier-imap courier-authdaemon gimp1.2 libg2c0
gcc-3.2-base gcc-3.3-base gcc-3.4-base gcc-4.1-base cpp-3.2 cpp-3.3
cpp-4.1 univention-server-installer python2.1 libsasl7 sasl-bin
libsasl-modules-plain libunivention-chkpwhistory0

Further information how to remove software packages via
UMC or commandline can be found in the manual:
http://docs.univention.de/manual-3.2.html#computers::softwaremanagement::installsoftware
Error: Update aborted by pre-update script of release 4.0-0[/code]

Bei einer anderen Installation auch:

[code]ERROR: The package “gcc-3.3-base” is no longer supported in UCS.
The following packages have to be removed before the update!

     fileutils ipchains kernel-image-2.4.26 lesstif1 libcomerr1-kerberos4kth
     libcurl2 libdb1-compat libdb2 libdb4.0 libdb4.1 libdb4.2++ libdns8
     libgcrypt1 libgd1-xpm libgimp1.2 libgnutls11 libgnutls5 libgnutls7
     libgtkxmhtml1 libidn9 libisc4 libisccfg0 libkdb-1-kerberos4kth libkeynote0
     libkrb-1-kerberos4kth libmm13 libmpeg1 libmysqlclient10 libopencdk4
     libpng10-0 libreadline4 libsensors1 libsoup2.0-0 libtasn1-0 libtiff3g
     libxaw6 libxft1 lynx-ssl symlinks t1lib1 libkrb53 apache-common
     univention-windows-installer-image-linux univention-windows-installer
     univention-windows-installer-image bootsplash-theme-debian
     bootsplash courier-base courier-ssl courier-mta courier-ldap
     courier-imap-ssl courier-imap courier-authdaemon gimp1.2 libg2c0
     gcc-3.2-base gcc-3.3-base gcc-3.4-base gcc-4.1-base cpp-3.2 cpp-3.3
     cpp-4.1 univention-server-installer python2.1 libsasl7 sasl-bin
     libsasl-modules-plain libunivention-chkpwhistory0

   Further information how to remove software packages via
   UMC or commandline can be found in the manual:
   http://docs.univention.de/manual-3.2.html#computers::softwaremanagement::installsoftware

Error: Please check “/var/log/univention/updater.log” for details.
ERROR: update failed. Please check /var/log/univention/updater.log[/code]

Versucht habe ich dann folgendes:

 univention-remove fileutils ipchains kernel-image-2.4.26 lesstif1 libcomerr1-kerberos4kth libcurl2 libdb1-compat libdb2 libdb4.0 libdb4.1 libdb4.2++ libdns8 libgcrypt1 libgd1-xpm libgimp1.2 libgnutls11 libgnutls5 libgnutls7 libgtkxmhtml1 libidn9 libisc4 libisccfg0 libkdb-1-kerberos4kth libkeynote0 libkrb-1-kerberos4kth libmm13 libmpeg1 libmysqlclient10 libopencdk4 libpng10-0 libreadline4 libsensors1 libsoup2.0-0 libtasn1-0 libtiff3g libxaw6 libxft1 lynx-ssl symlinks t1lib1 libkrb53 apache-common univention-windows-installer-image-linux univention-windows-installer univention-windows-installer-image bootsplash-theme-debian bootsplash courier-base courier-ssl courier-mta courier-ldap courier-imap-ssl courier-imap courier-authdaemon gimp1.2 libg2c0 gcc-3.2-base gcc-3.3-base gcc-3.4-base gcc-4.1-base cpp-3.2 cpp-3.3 cpp-4.1 univention-server-installer python2.1 libsasl7 sasl-bin libsasl-modules-plain libunivention-chkpwhistory0 

mit folgendem Ergebnis und keiner Verbesserung der Ausgangslage:

OK http://software.open-xchange.com ./ Release.gpg Ign http://software.open-xchange.com/OX6/OXSEforUCS/3.2/maintained/component/backend761/ ./ Translation-de Ign http://software.open-xchange.com/OX6/OXSEforUCS/3.2/maintained/component/backend761/ ./ Translation-en OK http://apt.univention.de 3.0-0/all/ Release.gpg Ign http://apt.univention.de/3.0/maintained/ 3.0-0/all/ Translation-de Ign http://apt.univention.de/3.0/maintained/ 3.0-0/all/ Translation-en OK http://apt.univention.de 3.0-0/amd64/ Release.gpg OK http://software.open-xchange.com ./ Release.gpg Ign http://software.open-xchange.com/OX6/OXSEforUCS/3.2/maintained/component/oxoutlook761/ ./ Translation-de Ign http://software.open-xchange.com/OX6/OXSEforUCS/3.2/maintained/component/oxoutlook761/ ./ Translation-en OK http://software.open-xchange.com ./ Release.gpg Ign http://software.open-xchange.com/OX6/OXSEforUCS/3.2/maintained/component/oxoffice760/ ./ Translation-de Ign http://software.open-xchange.com/OX6/OXSEforUCS/3.2/maintained/component/oxoffice760/ ./ Translation-en OK http://software.open-xchange.com ./ Release.gpg OK http://appcenter.software-univention.de open-xchange-text_20140708/all/ Release.gpg Ign http://appcenter.software-univention.de/univention-repository/3.2/maintained/component/ open-xchange-text_20140708/all/ Translation-de Ign http://appcenter.software-univention.de/univention-repository/3.2/maintained/component/ open-xchange-text_20140708/all/ Translation-en OK http://appcenter.software-univention.de open-xchange-text_20140708/amd64/ Release.gpg Ign http://appcenter.software-univention.de/univention-repository/3.2/maintained/component/ open-xchange-text_20140708/amd64/ Translation-de Ign http://appcenter.software-univention.de/univention-repository/3.2/maintained/component/ open-xchange-text_20140708/amd64/ Translation-en OK http://appcenter.software-univention.de oxseforucs_20141029/all/ Release.gpg Ign http://appcenter.software-univention.de/univention-repository/3.2/maintained/component/ oxseforucs_20141029/all/ Translation-de Ign http://software.open-xchange.com/OX6/OXSEforUCS/3.2/maintained/component/oxofficeweb760/ ./ Translation-de Ign http://apt.univention.de/3.0/maintained/ 3.0-0/amd64/ Translation-de Ign http://apt.univention.de/3.0/maintained/ 3.0-0/amd64/ Translation-en OK http://apt.univention.de 3.0-1/all/ Release.gpg Ign http://apt.univention.de/3.0/maintained/ 3.0-1/all/ Translation-de Ign http://software.open-xchange.com/OX6/OXSEforUCS/3.2/maintained/component/oxofficeweb760/ ./ Translation-en Ign http://apt.univention.de/3.0/maintained/ 3.0-1/all/ Translation-en OK http://apt.univention.de 3.0-1/amd64/ Release.gpg OK http://software.open-xchange.com ./ Release.gpg Ign http://appcenter.software-univention.de/univention-repository/3.2/maintained/component/ oxseforucs_20141029/all/ Translation-en OK http://appcenter.software-univention.de oxseforucs_20141029/amd64/ Release.gpg Ign http://software.open-xchange.com/OX6/OXSEforUCS/3.2/maintained/component/oxcalcengine760/ ./ Translation-de Ign http://software.open-xchange.com/OX6/OXSEforUCS/3.2/maintained/component/oxcalcengine760/ ./ Translation-en OK http://software.open-xchange.com ./ Release.gpg Ign http://appcenter.software-univention.de/univention-repository/3.2/maintained/component/ oxseforucs_20141029/amd64/ Translation-de Ign http://appcenter.software-univention.de/univention-repository/3.2/maintained/component/ oxseforucs_20141029/amd64/ Translation-en OK http://appcenter.software-univention.de open-xchange-text_20140708/all/ Release OK http://appcenter.software-univention.de open-xchange-text_20140708/amd64/ Release Ign http://apt.univention.de/3.0/maintained/ 3.0-1/amd64/ Translation-de Ign http://apt.univention.de/3.0/maintained/ 3.0-1/amd64/ Translation-en OK http://apt.univention.de 3.0-2/all/ Release.gpg Ign http://apt.univention.de/3.0/maintained/ 3.0-2/all/ Translation-de Ign http://software.open-xchange.com/OX6/OXSEforUCS/3.2/maintained/component/oxmobility761/ ./ Translation-de Ign http://software.open-xchange.com/OX6/OXSEforUCS/3.2/maintained/component/oxmobility761/ ./ Translation-en OK http://software.open-xchange.com ./ Release.gpg Ign http://software.open-xchange.com/OX6/OXSEforUCS/3.2/maintained/component/frontend6228/ ./ Translation-de Ign http://apt.univention.de/3.0/maintained/ 3.0-2/all/ Translation-en OK http://apt.univention.de 3.0-2/amd64/ Release.gpg Ign http://apt.univention.de/3.0/maintained/ 3.0-2/amd64/ Translation-de Ign http://apt.univention.de/3.0/maintained/ 3.0-2/amd64/ Translation-en OK http://apt.univention.de 3.1-0/all/ Release.gpg OK http://appcenter.software-univention.de oxseforucs_20141029/all/ Release Ign http://software.open-xchange.com/OX6/OXSEforUCS/3.2/maintained/component/frontend6228/ ./ Translation-en OK http://software.open-xchange.com ./ Release.gpg Ign http://apt.univention.de/3.1/maintained/ 3.1-0/all/ Translation-de Ign http://software.open-xchange.com/OX6/OXSEforUCS/3.2/maintained/component/oxusm761/ ./ Translation-de Ign http://software.open-xchange.com/OX6/OXSEforUCS/3.2/maintained/component/oxusm761/ ./ Translation-en OK http://software.open-xchange.com ./ Release.gpg Ign http://software.open-xchange.com/OX6/OXSEforUCS/3.2/maintained/component/frontend761/ ./ Translation-de Ign http://software.open-xchange.com/OX6/OXSEforUCS/3.2/maintained/component/frontend761/ ./ Translation-en OK http://software.open-xchange.com ./ Release.gpg Ign http://software.open-xchange.com/OX6/OXSEforUCS/3.2/maintained/component/oxreaderengine760/ ./ Translation-de Ign http://apt.univention.de/3.1/maintained/ 3.1-0/all/ Translation-en OK http://apt.univention.de 3.1-0/amd64/ Release.gpg Ign http://apt.univention.de/3.1/maintained/ 3.1-0/amd64/ Translation-de Ign http://apt.univention.de/3.1/maintained/ 3.1-0/amd64/ Translation-en OK http://apt.univention.de 3.1-1/all/ Release.gpg OK http://appcenter.software-univention.de oxseforucs_20141029/amd64/ Release Ign http://apt.univention.de/3.1/maintained/ 3.1-1/all/ Translation-de Ign http://apt.univention.de/3.1/maintained/ 3.1-1/all/ Translation-en OK http://apt.univention.de 3.1-1/amd64/ Release.gpg Ign http://software.open-xchange.com/OX6/OXSEforUCS/3.2/maintained/component/oxreaderengine760/ ./ Translation-en Ign http://apt.univention.de/3.1/maintained/ 3.1-1/amd64/ Translation-de OK http://software.open-xchange.com ./ Release.gpg Ign http://software.open-xchange.com/OX6/OXSEforUCS/3.2/maintained/component/oxdocconv760/ ./ Translation-de Ign http://software.open-xchange.com/OX6/OXSEforUCS/3.2/maintained/component/oxdocconv760/ ./ Translation-en OK http://software.open-xchange.com ./ Release.gpg Ign http://software.open-xchange.com/OX6/OXSEforUCS/3.2/maintained/component/oxdocconvapi760/ ./ Translation-de Ign http://software.open-xchange.com/OX6/OXSEforUCS/3.2/maintained/component/oxdocconvapi760/ ./ Translation-en Ign http://apt.univention.de/3.1/maintained/ 3.1-1/amd64/ Translation-en OK http://apt.univention.de 3.2-0/all/ Release.gpg Ign http://apt.univention.de/3.2/maintained/ 3.2-0/all/ Translation-de Ign http://apt.univention.de/3.2/maintained/ 3.2-0/all/ Translation-en OK http://apt.univention.de 3.2-0/amd64/ Release.gpg OK http://appcenter.software-univention.de open-xchange-text_20140708/all/ Packages OK http://appcenter.software-univention.de open-xchange-text_20140708/amd64/ Packages Ign http://apt.univention.de/3.2/maintained/ 3.2-0/amd64/ Translation-de OK http://software.open-xchange.com ./ Release.gpg Ign http://software.open-xchange.com/OX6/OXSEforUCS/3.2/maintained/component/oxdrive761/ ./ Translation-de Ign http://software.open-xchange.com/OX6/OXSEforUCS/3.2/maintained/component/oxdrive761/ ./ Translation-en OK http://software.open-xchange.com ./ Release OK http://software.open-xchange.com ./ Release OK http://software.open-xchange.com ./ Release OK http://software.open-xchange.com ./ Release OK http://software.open-xchange.com ./ Release OK http://software.open-xchange.com ./ Release OK http://software.open-xchange.com ./ Release Ign http://apt.univention.de/3.2/maintained/ 3.2-0/amd64/ Translation-en OK http://apt.univention.de 3.2-1/all/ Release.gpg Ign http://apt.univention.de/3.2/maintained/ 3.2-1/all/ Translation-de Ign http://apt.univention.de/3.2/maintained/ 3.2-1/all/ Translation-en OK http://apt.univention.de 3.2-1/amd64/ Release.gpg OK http://appcenter.software-univention.de oxseforucs_20141029/all/ Packages Ign http://apt.univention.de/3.2/maintained/ 3.2-1/amd64/ Translation-de Ign http://apt.univention.de/3.2/maintained/ 3.2-1/amd64/ Translation-en OK http://apt.univention.de 3.2-2/all/ Release.gpg Ign http://apt.univention.de/3.2/maintained/ 3.2-2/all/ Translation-de OK http://software.open-xchange.com ./ Release OK http://software.open-xchange.com ./ Release OK http://software.open-xchange.com ./ Release OK http://software.open-xchange.com ./ Release OK http://software.open-xchange.com ./ Release OK http://software.open-xchange.com ./ Release Ign http://software.open-xchange.com ./ Packages Ign http://apt.univention.de/3.2/maintained/ 3.2-2/all/ Translation-en OK http://apt.univention.de 3.2-2/amd64/ Release.gpg Ign http://apt.univention.de/3.2/maintained/ 3.2-2/amd64/ Translation-de Ign http://apt.univention.de/3.2/maintained/ 3.2-2/amd64/ Translation-en OK http://apt.univention.de 3.2-3/all/ Release.gpg OK http://appcenter.software-univention.de oxseforucs_20141029/amd64/ Packages Ign http://apt.univention.de/3.2/maintained/ 3.2-3/all/ Translation-de Ign http://software.open-xchange.com ./ Packages Ign http://software.open-xchange.com ./ Packages Ign http://software.open-xchange.com ./ Packages Ign http://software.open-xchange.com ./ Packages Ign http://software.open-xchange.com ./ Packages Ign http://software.open-xchange.com ./ Packages Ign http://software.open-xchange.com ./ Packages Ign http://software.open-xchange.com ./ Packages Ign http://software.open-xchange.com ./ Packages Ign http://apt.univention.de/3.2/maintained/ 3.2-3/all/ Translation-en OK http://apt.univention.de 3.2-3/amd64/ Release.gpg Ign http://apt.univention.de/3.2/maintained/ 3.2-3/amd64/ Translation-de Ign http://apt.univention.de/3.2/maintained/ 3.2-3/amd64/ Translation-en OK http://apt.univention.de 3.2-4/all/ Release.gpg Ign http://software.open-xchange.com ./ Packages Ign http://apt.univention.de/3.2/maintained/ 3.2-4/all/ Translation-de Ign http://apt.univention.de/3.2/maintained/ 3.2-4/all/ Translation-en OK http://apt.univention.de 3.2-4/amd64/ Release.gpg Ign http://apt.univention.de/3.2/maintained/ 3.2-4/amd64/ Translation-de Ign http://software.open-xchange.com ./ Packages Ign http://software.open-xchange.com ./ Packages Ign http://software.open-xchange.com ./ Packages Ign http://software.open-xchange.com ./ Packages Ign http://software.open-xchange.com ./ Packages Ign http://software.open-xchange.com ./ Packages Ign http://apt.univention.de/3.2/maintained/ 3.2-4/amd64/ Translation-en OK http://apt.univention.de 3.2-4-errata/all/ Release.gpg Ign http://apt.univention.de/3.2/maintained/component/ 3.2-4-errata/all/ Translation-de Ign http://apt.univention.de/3.2/maintained/component/ 3.2-4-errata/all/ Translation-en OK http://apt.univention.de 3.2-4-errata/amd64/ Release.gpg Ign http://software.open-xchange.com ./ Packages Ign http://software.open-xchange.com ./ Packages Ign http://software.open-xchange.com ./ Packages Ign http://apt.univention.de/3.2/maintained/component/ 3.2-4-errata/amd64/ Translation-de Ign http://software.open-xchange.com ./ Packages Ign http://software.open-xchange.com ./ Packages Ign http://software.open-xchange.com ./ Packages Ign http://software.open-xchange.com ./ Packages OK http://software.open-xchange.com ./ Packages Ign http://software.open-xchange.com ./ Packages Ign http://apt.univention.de/3.2/maintained/component/ 3.2-4-errata/amd64/ Translation-en OK http://apt.univention.de 3.0-0/all/ Release OK http://apt.univention.de 3.0-0/amd64/ Release OK http://apt.univention.de 3.0-1/all/ Release Ign http://software.open-xchange.com ./ Packages OK http://apt.univention.de 3.0-1/amd64/ Release OK http://apt.univention.de 3.0-2/all/ Release OK http://apt.univention.de 3.0-2/amd64/ Release OK http://apt.univention.de 3.1-0/all/ Release OK http://apt.univention.de 3.1-0/amd64/ Release OK http://software.open-xchange.com ./ Packages OK http://software.open-xchange.com ./ Packages OK http://software.open-xchange.com ./ Packages OK http://software.open-xchange.com ./ Packages OK http://software.open-xchange.com ./ Packages OK http://software.open-xchange.com ./ Packages OK http://software.open-xchange.com ./ Packages OK http://software.open-xchange.com ./ Packages OK http://software.open-xchange.com ./ Packages OK http://apt.univention.de 3.1-1/all/ Release OK http://apt.univention.de 3.1-1/amd64/ Release OK http://apt.univention.de 3.2-0/all/ Release OK http://apt.univention.de 3.2-0/amd64/ Release OK http://apt.univention.de 3.2-1/all/ Release OK http://apt.univention.de 3.2-1/amd64/ Release OK http://apt.univention.de 3.2-2/all/ Release OK http://apt.univention.de 3.2-2/amd64/ Release OK http://apt.univention.de 3.2-3/all/ Release OK http://software.open-xchange.com ./ Packages OK http://software.open-xchange.com ./ Packages OK http://software.open-xchange.com ./ Packages OK http://apt.univention.de 3.2-3/amd64/ Release OK http://apt.univention.de 3.2-4/all/ Release OK http://apt.univention.de 3.2-4/amd64/ Release OK http://apt.univention.de 3.2-4-errata/all/ Release OK http://apt.univention.de 3.2-4-errata/amd64/ Release Ign http://apt.univention.de 3.0-0/all/ Packages Ign http://apt.univention.de 3.0-0/amd64/ Packages Ign http://apt.univention.de 3.0-1/all/ Packages Ign http://apt.univention.de 3.0-1/amd64/ Packages Ign http://apt.univention.de 3.0-2/all/ Packages Ign http://apt.univention.de 3.0-2/amd64/ Packages Ign http://apt.univention.de 3.1-0/all/ Packages Ign http://apt.univention.de 3.1-0/amd64/ Packages Ign http://apt.univention.de 3.1-1/all/ Packages Ign http://apt.univention.de 3.1-1/amd64/ Packages Ign http://apt.univention.de 3.2-0/all/ Packages Ign http://apt.univention.de 3.2-0/amd64/ Packages Ign http://apt.univention.de 3.2-1/all/ Packages Ign http://apt.univention.de 3.2-1/amd64/ Packages Ign http://apt.univention.de 3.2-2/all/ Packages Ign http://apt.univention.de 3.2-2/amd64/ Packages Ign http://apt.univention.de 3.2-3/all/ Packages Ign http://apt.univention.de 3.2-3/amd64/ Packages Ign http://apt.univention.de 3.2-4/all/ Packages Ign http://apt.univention.de 3.2-4/amd64/ Packages Ign http://apt.univention.de 3.2-4-errata/all/ Packages Ign http://apt.univention.de 3.2-4-errata/amd64/ Packages Ign http://apt.univention.de 3.0-0/all/ Packages Ign http://apt.univention.de 3.0-0/amd64/ Packages Ign http://apt.univention.de 3.0-1/all/ Packages Ign http://apt.univention.de 3.0-1/amd64/ Packages Ign http://apt.univention.de 3.0-2/all/ Packages Ign http://apt.univention.de 3.0-2/amd64/ Packages Ign http://apt.univention.de 3.1-0/all/ Packages Ign http://apt.univention.de 3.1-0/amd64/ Packages Ign http://apt.univention.de 3.1-1/all/ Packages Ign http://apt.univention.de 3.1-1/amd64/ Packages Ign http://apt.univention.de 3.2-0/all/ Packages Ign http://apt.univention.de 3.2-0/amd64/ Packages Ign http://apt.univention.de 3.2-1/all/ Packages Ign http://apt.univention.de 3.2-1/amd64/ Packages Ign http://apt.univention.de 3.2-2/all/ Packages Ign http://apt.univention.de 3.2-2/amd64/ Packages Ign http://apt.univention.de 3.2-3/all/ Packages Ign http://apt.univention.de 3.2-3/amd64/ Packages Ign http://apt.univention.de 3.2-4/all/ Packages Ign http://apt.univention.de 3.2-4/amd64/ Packages Ign http://apt.univention.de 3.2-4-errata/all/ Packages Ign http://apt.univention.de 3.2-4-errata/amd64/ Packages OK http://apt.univention.de 3.0-0/all/ Packages OK http://apt.univention.de 3.0-0/amd64/ Packages OK http://apt.univention.de 3.0-1/all/ Packages OK http://apt.univention.de 3.0-1/amd64/ Packages OK http://apt.univention.de 3.0-2/all/ Packages OK http://apt.univention.de 3.0-2/amd64/ Packages OK http://apt.univention.de 3.1-0/all/ Packages OK http://apt.univention.de 3.1-0/amd64/ Packages OK http://apt.univention.de 3.1-1/all/ Packages OK http://apt.univention.de 3.1-1/amd64/ Packages OK http://apt.univention.de 3.2-0/all/ Packages OK http://apt.univention.de 3.2-0/amd64/ Packages OK http://apt.univention.de 3.2-1/all/ Packages OK http://apt.univention.de 3.2-1/amd64/ Packages OK http://apt.univention.de 3.2-2/all/ Packages OK http://apt.univention.de 3.2-2/amd64/ Packages OK http://apt.univention.de 3.2-3/all/ Packages OK http://apt.univention.de 3.2-3/amd64/ Packages OK http://apt.univention.de 3.2-4/all/ Packages OK http://apt.univention.de 3.2-4/amd64/ Packages OK http://apt.univention.de 3.2-4-errata/all/ Packages OK http://apt.univention.de 3.2-4-errata/amd64/ Packages Paketlisten werden gelesen... Paketlisten werden gelesen... Abhängigkeitsbaum wird aufgebaut... Statusinformationen werden eingelesen... E: Paket ipchains kann nicht gefunden werden E: Paket kernel-image-2.4.26 kann nicht gefunden werden E: Mittels regulärem Ausdruck »kernel-image-2.4.26« konnte kein Paket gefunden werden E: Paket lesstif1 kann nicht gefunden werden E: Paket libcomerr1-kerberos4kth kann nicht gefunden werden E: Paket libdb1-compat kann nicht gefunden werden E: Paket libdb4.0 kann nicht gefunden werden E: Mittels regulärem Ausdruck »libdb4.0« konnte kein Paket gefunden werden E: Paket libdb4.1 kann nicht gefunden werden E: Mittels regulärem Ausdruck »libdb4.1« konnte kein Paket gefunden werden E: Paket libdns8 kann nicht gefunden werden E: Paket libgcrypt1 kann nicht gefunden werden E: Paket libgd1-xpm kann nicht gefunden werden E: Paket libgimp1.2 kann nicht gefunden werden E: Mittels regulärem Ausdruck »libgimp1.2« konnte kein Paket gefunden werden E: Paket libgnutls11 kann nicht gefunden werden E: Paket libgnutls5 kann nicht gefunden werden E: Paket libgnutls7 kann nicht gefunden werden E: Paket libgtkxmhtml1 kann nicht gefunden werden E: Paket libidn9 kann nicht gefunden werden E: Paket libisc4 kann nicht gefunden werden E: Paket libisccfg0 kann nicht gefunden werden E: Paket libkdb-1-kerberos4kth kann nicht gefunden werden E: Paket libkeynote0 kann nicht gefunden werden E: Paket libkrb-1-kerberos4kth kann nicht gefunden werden E: Paket libmm13 kann nicht gefunden werden E: Paket libmpeg1 kann nicht gefunden werden E: Paket libmysqlclient10 kann nicht gefunden werden E: Paket libpng10-0 kann nicht gefunden werden E: Paket libsensors1 kann nicht gefunden werden E: Paket libsoup2.0-0 kann nicht gefunden werden E: Mittels regulärem Ausdruck »libsoup2.0-0« konnte kein Paket gefunden werden E: Paket libtasn1-0 kann nicht gefunden werden E: Paket libtiff3g kann nicht gefunden werden E: Paket libxaw6 kann nicht gefunden werden E: Paket libxft1 kann nicht gefunden werden E: Paket lynx-ssl kann nicht gefunden werden E: Paket symlinks kann nicht gefunden werden E: Paket t1lib1 kann nicht gefunden werden E: Paket univention-windows-installer-image-linux kann nicht gefunden werden E: Paket univention-windows-installer kann nicht gefunden werden E: Paket univention-windows-installer-image kann nicht gefunden werden E: Paket courier-base kann nicht gefunden werden E: Paket courier-ssl kann nicht gefunden werden E: Paket courier-ldap kann nicht gefunden werden E: Paket courier-imap-ssl kann nicht gefunden werden E: Paket courier-imap kann nicht gefunden werden E: Paket courier-authdaemon kann nicht gefunden werden E: Paket gimp1.2 kann nicht gefunden werden E: Mittels regulärem Ausdruck »gimp1.2« konnte kein Paket gefunden werden E: Paket libg2c0 kann nicht gefunden werden E: Paket gcc-3.2-base kann nicht gefunden werden E: Mittels regulärem Ausdruck »gcc-3.2-base« konnte kein Paket gefunden werden E: Paket gcc-3.4-base kann nicht gefunden werden E: Mittels regulärem Ausdruck »gcc-3.4-base« konnte kein Paket gefunden werden E: Paket cpp-3.2 kann nicht gefunden werden E: Mittels regulärem Ausdruck »cpp-3.2« konnte kein Paket gefunden werden E: Paket cpp-3.3 kann nicht gefunden werden E: Mittels regulärem Ausdruck »cpp-3.3« konnte kein Paket gefunden werden E: Paket univention-server-installer kann nicht gefunden werden E: Paket python2.1 kann nicht gefunden werden E: Mittels regulärem Ausdruck »python2.1« konnte kein Paket gefunden werden E: Paket libsasl7 kann nicht gefunden werden E: Paket sasl-bin kann nicht gefunden werden E: Paket libsasl-modules-plain kann nicht gefunden werden E: Paket libunivention-chkpwhistory0 kann nicht gefunden werden

Was ist zu tun?

Danke
Sascha


#2
aptitude purge fileutils ipchains kernel-image-2.4.26 lesstif1 libcomerr1-kerberos4kth libcurl2 libdb1-compat libdb2 libdb4.0 libdb4.1 libdb4.2++ libdns8 libgcrypt1 libgd1-xpm libgimp1.2 libgnutls11 libgnutls5 libgnutls7 libgtkxmhtml1 libidn9 libisc4 libisccfg0 libkdb-1-kerberos4kth libkeynote0 libkrb-1-kerberos4kth libmm13 libmpeg1 libmysqlclient10 libopencdk4 libpng10-0 libreadline4 libsensors1 libsoup2.0-0 libtasn1-0 libtiff3g libxaw6 libxft1 lynx-ssl symlinks t1lib1 libkrb53 apache-common univention-windows-installer-image-linux univention-windows-installer univention-windows-installer-image bootsplash-theme-debian bootsplash courier-base courier-ssl courier-mta courier-ldap courier-imap-ssl courier-imap courier-authdaemon gimp1.2 libg2c0 gcc-3.2-base gcc-3.3-base gcc-3.4-base gcc-4.1-base cpp-3.2 cpp-3.3 cpp-4.1 univention-server-installer python2.1 libsasl7 sasl-bin libsasl-modules-plain libunivention-chkpwhistory0 

scheint geholfen zu haben…
Es geht jedenfalls erstmal weiter…


#3

…ja, es ging weiter…
Nach fast dem gesamten Updatevorgang, dann der Hinweis, dass das Update beendet wurde, es aber Fehler gegeben habe…
Im log Fehlermeldungen zu Firefox und anderen unnötigen Paketen…
Ergebnis:
System unmöglich nutzbar, Anmeldung per ssh nicht möglich, UMC nicht errichbar, und auch mit physikalischem Zugriff ist eine Anmeldung nicht mehr möglich…
Fehlermeldungen gibt es nicht…
Nach Neustart keine Besserung, beim Boot Fehlermeldungen zu clamav, NFS, Bind etc.
Anmeldung geht immer noch nicht, egal wie…

Jetzt spiele ich erstmal das Backup zurück.
Mann Mann Mann, sowas ist echt mies…

Wenn ich das Backup eingespielt hab, guck ich noch mal.
Gruß
Sascha


#4

Also:
Nach dem Zurückspielen des Backups, war alles wie vor dem fehlgeschlagenen Update, also gut.
Dann habe ich das Ganze noch mal versucht, leider mit genau dem selben Ergebnis.
Das Update führt zu Fehlern, welche zu einem völlig desolaten System führen. Reproduzierbar…

Erstmal Backup wieder restored, System läuft. Wenn einer was weiss, dann nur her mit den Tipps, ich hör für dieses Wochenende erstmal auf…

lg
Sascha


#5

ok…noch ein Versuch…
Nachdem ich dieses Mal vor der ganzen Aktion ein

dpkg-divert --remove /usr/share/pyshared/univention/admin/license_data.py univention-install --reinstall python-univention-directory-manager
erledigt hatte und dann das Upgrade gemacht habe, schien alles wirklich schon ganz brauchbar…
Nach einem Neustart allerdings findet das System mein Filesystem nicht mehr, weil der LVM Treiber nicht im Kernel ist:

Backup zurück, ich geb’s auf!

mann mann mann…


#6

Hallo,

aus den Log-Auszügen geht nicht hervor warum Sie sich für ein “dpkg-divert --remove /usr/share/pyshared/univention/admin/license_data.py” entschieden haben (oder ich übersehe das).
Evtl. können Sie uns ein paar Details zu den Systemen zukommen lassen damit wir die Situation hier ggf. nachstellen können:

ucr search version ucr search repository # Könnte Passwörter enthalten apt-mark showauto apt-mark showmanual apt-mark showhold dpkg --get-selections

Mit freundlichen Grüßen
Janis Meybohm


#7

Hallo!

Nicht wir haben uns für das
dpkg-divert --remove /usr/share/pyshared/univention/admin/license_data.py
entschieden, sondern das Update ganz selbständg…

pastebin.com/eyMv8iTF

Danke
Sascha


#8

Danke für die Informationen.

[quote=“tafkaz”]Nicht wir haben uns für das
dpkg-divert --remove /usr/share/pyshared/univention/admin/license_data.py
entschieden, sondern das Update ganz selbständg…[/quote]Das verstehe ich nicht.
In den Auszügend der Logdateien kann ich keinen Hinweis darauf finden. Hat das Update dazu aufgefordert den Befehl auszuführen (mit welcher Meldung)? Auch einen Hinweis auf den reinstall von “python-univention-directory-manager” kann ich in Ihren Postings nicht finden.

Ich würde gerne in Erfahrung bringen mit welchem Hintergrund Sie die beiden Schritte ausgeführt haben denn augenscheinlich haben diese das Fehlerbild ja deutlich verändert.
Könnten Sie die Ausgaben bitte noch um ein “uname -a; dpkg-query --show --showformat=’${Status}\t${Package}\t${Version}\n’” ergänzen damit wir auch noch den gebooteten Kernel und die Versionsnummern der Installierten Pakete haben?
Sollten Sie von einem Update-Versuch eine updater.log gesichert haben, können Sie diese auch gerne anhängen.

Mit freundlichen Grüßen
Janis Meybohm


#9

Hi!
Sorry…mein Fehler…

dpkg-divert --remove /usr/share/pyshared/univention/admin/license_data.py 

habe ich überhaupt nicht gemacht… sondern nur falsch aus
[url]Lizenzproblem nach Upgrade]
kopiert und in das Forum gepostet…

Stattdessen war (aus dem gleichen Thread, deshalb mein Fehler)

univention-install --reinstall -u -o DPkg::options::=--force-confask -o DPkg::options::=--force-confnew $(dpkg -l \*univention\* | awk '/^ii/{print $2}' | tr "\n" " " ) 

mein Versuch, das System wieder auf Standard templates zu setzen und dann das Update neu durchlaufen zu lassen…

Da das aber ja auch nichts gebracht hat, habe ich das komplette System-Backup wieder zurückgespielt, so dass die Auswirkungen dieses Befehls auch wieder rückgängig gemacht worden sind.
Momentan haben wir also den Stand, dass der Updateversuch mit der Meldung

[code] ERROR: The package “gcc-3.3-base” is no longer supported in UCS.
The following packages have to be removed before the update!

         fileutils ipchains kernel-image-2.4.26 lesstif1 libcomerr1-kerberos4kth
         libcurl2 libdb1-compat libdb2 libdb4.0 libdb4.1 libdb4.2++ libdns8
         libgcrypt1 libgd1-xpm libgimp1.2 libgnutls11 libgnutls5 libgnutls7
         libgtkxmhtml1 libidn9 libisc4 libisccfg0 libkdb-1-kerberos4kth libkeynote0
         libkrb-1-kerberos4kth libmm13 libmpeg1 libmysqlclient10 libopencdk4
         libpng10-0 libreadline4 libsensors1 libsoup2.0-0 libtasn1-0 libtiff3g
         libxaw6 libxft1 lynx-ssl symlinks t1lib1 libkrb53 apache-common
         univention-windows-installer-image-linux univention-windows-installer
         univention-windows-installer-image bootsplash-theme-debian
         bootsplash courier-base courier-ssl courier-mta courier-ldap
         courier-imap-ssl courier-imap courier-authdaemon gimp1.2 libg2c0
         gcc-3.2-base gcc-3.3-base gcc-3.4-base gcc-4.1-base cpp-3.2 cpp-3.3
         cpp-4.1 univention-server-installer python2.1 libsasl7 sasl-bin
         libsasl-modules-plain libunivention-chkpwhistory0

       Further information how to remove software packages via
       UMC or commandline can be found in the manual:
       http://docs.univention.de/manual-3.2.html#computers::softwaremanagement::installsoftware
Error: Please check "/var/log/univention/updater.log" for details.
ERROR: update failed. Please check /var/log/univention/updater.log[/code]

abbricht, ein entfernen der entsprechenden Pakete dann das Update augenscheinlich beginnen lässt, dann aber ein reboot nicht mehr möglich ist.
System nicht nutzbar, Anmeldung per ssh nicht möglich, UMC nicht errichbar, und auch mit physikalischem Zugriff ist eine Anmeldung nicht mehr möglich…

Danke
Sascha


#10

Hallo,

[quote=“tafkaz”]dpkg-divert --remove /usr/share/pyshared/univention/admin/license_data.py
habe ich überhaupt nicht gemacht… sondern nur falsch aus
[url]Lizenzproblem nach Upgrade]
kopiert und in das Forum gepostet…

Stattdessen war (aus dem gleichen Thread, deshalb mein Fehler)

univention-install --reinstall -u -o DPkg::options::=--force-confask -o DPkg::options::=--force-confnew $(dpkg -l \*univention\* | awk '/^ii/{print $2}' | tr "\n" " " ) 

mein Versuch, das System wieder auf Standard templates zu setzen und dann das Update neu durchlaufen zu lassen…[/quote]
okay, das verstehe ich jetzt. In dem Thread sind Ausgangslage und UCS Version vollkommen anders, daher ist die Lösung vermutlich auch nicht die selbe.

Ich würde gerne versuchen die Situation hier nachzustellen. Das ist allerdings etwas komplexer da alle Paketversionen und Zustände bekannt und identisch sein müssen damit das Paketmanagement auch die gleichen (fehl-)Entscheidungen trifft. Wie beschrieben bräuchte ich dafür mind. noch die Ausgabe der folgenden beiden Befehle:uname -a dpkg-query --show --showformat='${Status}\t${Package}\t${Version}\n'

Mit freundlichen Grüßen
Janis Meybohm


#11

Hi!
ok, prima:

uname -a Linux dundk 2.6.32-ucs62-amd64 #1 SMP Mon Apr 23 18:58:05 UTC 2012 x86_64 GNU/Linux

[code]
dpkg-query --show --showformat=’${Status}\t${Package}\t${Version}\n’

http://pastebin.com/Td1cs4kH[/code]

Danke
Sascha


#12

Hi!

Euch allen erstmal ein frohes Neues Jahr!!!

Habt Ihr schon Neuigkeiten zu der Sache?

Danke
Sascha


#13

Hallo!

da bisher an den DPKG-Settings nichts aufgefallen ist: Sind eventuell Dinge per APT-Pinning konfiguriert?
-> /etc/apt/preferences ; /etc/apt/preferences.d/

Mit freundlichen Grüßen,
Tim Petersen


#14

nein, da ist nichts…

Danke
Sascha


#15

Hallo Sascha,

ich glaube wir haben uns hier initial missverstanden:

[code][…]
No packages found matching lynx-ssl.
No packages found matching symlinks.
No packages found matching t1lib1.
ii libkrb53 1.8.3+dfsg-4.50.201307240904 transitional package for MIT Kerberos libraries
ERROR: The package “libkrb53” is no longer supported in UCS.
The following packages have to be removed before the update!

fileutils ipchains kernel-image-2.4.26 lesstif1 libcomerr1-kerberos4kth
libcurl2 libdb1-compat libdb2 libdb4.0 libdb4.1 libdb4.2++ libdns8
libgcrypt1 libgd1-xpm libgimp1.2 libgnutls11 libgnutls5 libgnutls7
libgtkxmhtml1 libidn9 libisc4 libisccfg0 libkdb-1-kerberos4kth libkeynote0
libkrb-1-kerberos4kth libmm13 libmpeg1 libmysqlclient10 libopencdk4
libpng10-0 libreadline4 libsensors1 libsoup2.0-0 libtasn1-0 libtiff3g
libxaw6 libxft1 lynx-ssl symlinks t1lib1 libkrb53 apache-common
univention-windows-installer-image-linux univention-windows-installer
univention-windows-installer-image bootsplash-theme-debian
bootsplash courier-base courier-ssl courier-mta courier-ldap
courier-imap-ssl courier-imap courier-authdaemon gimp1.2 libg2c0
gcc-3.2-base gcc-3.3-base gcc-3.4-base gcc-4.1-base cpp-3.2 cpp-3.3
cpp-4.1 univention-server-installer python2.1 libsasl7 sasl-bin
libsasl-modules-plain libunivention-chkpwhistory0

Further information how to remove software packages via
UMC or commandline can be found in the manual:
http://docs.univention.de/manual-3.2.html#computers::softwaremanagement::installsoftware
Error: Update aborted by pre-update script of release 4.0-0[/code]

Das ist ein regulärer Pre-Up Check des Updaters, der beim Update auf UCS 4.0 durchgeführt wird und prüft, ob obsolete Pakete aus (sehr) alten Versionen installiert sind und vor dem Update entfernt werden müssen, weil Sie bekanntermaßen zu Problemen führen können.
Wir kennen eine feststehende Liste mit Paketnamen und prüfen jedes dieser Pakete auf eine lokale Installation. Aus der Liste gefunden wurde hier:

ii libkrb53 1.8.3+dfsg-4.50.201307240904 transitional package for MIT Kerberos libraries ERROR: The package "libkrb53" is no longer supported in UCS. The following packages have to be removed before the update!
Dieses Paket muss entfernt werden (sonst erst einmal keins, es sei denn in einer nächsten Iteration wird ein weiteres Paket aus der Liste gefunden).

Ich hoffe ich konnte die Unklarheiten beseitigen.

Viele Grüße,
Tim Petersen